Summary: The client and server for the Trivial File Transfer Protocol (TFTP).
Name: tftp
Version: 0.10
Release: 23
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/file-transfer/netkit-tftp-0.10.tar.gz
Patch0: netkit-tftp-0.10-misc.patch
Patch1: netkit-tftp-0.10-security.patch
Patch2: tftp-0.10-trunc.patch
Patch3: tftp-0.10-maint.patch

Requires: inetd
BuildRoot: /var/tmp/%{name}-root

%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from
a remote machine.  This program, and TFTP, provide very little security,
and should not be enabled unless it is expressly needed.  The TFTP
server is run from /etc/inetd.conf, and is disabled by default on Red
Hat Linux systems.

%prep
%setup -q -n netkit-tftp-0.10
%patch0 -p1 -b .misc
%patch1 -p1 -b .security

%patch2 -p1 -b .trunc

%patch3 -p1 -b .maint

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,man/man1,man/man8}

make INSTALLROOT=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/tftp
/usr/man/man1/tftp.1
/usr/sbin/in.tftpd
/usr/man/man8/in.tftpd.8
/usr/man/man8/tftpd.8

%changelog
* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- tftpd should truncate file when overwriting (#412)

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added check for getpwnam() failure

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
